.header {
  @include max-767 {
    position: fixed;
    width: 100%;
    background-color: #fff;
    top: 0;
    z-index: 1;

    &.open {
      position: fixed;
    }
  }

  &__logo {
    @include max-767 {
      width: sp-sizing-2(338px);
    }

    &--balloon {
      @include max-767 {
        display: none;
      }
    }
  }

  &__search {
    position: relative;
    height: 40px;
    width: 200px;
    @include max-767 {
      display: none;
    }

    &--mobile {
      display: none;
    }
  }

  &__search-input {
    height: 100%;
    width: 100%;
    padding: 9px;
    font-size: 1.8rem;
    @include max-767 {
      font-size: sp-sizing-2(3.1rem);
      padding: sp-sizing-2(17.5px);
    }
  }

  &__search-button {
    position: absolute;
    right: 8px;
    top: 0;
    bottom: 0;
    background: none;
    border: none;
    cursor: pointer;
    @include max-767 {
      right: sp-sizing-2(20px);
      width: sp-sizing-2(34px);
    }
  }

  &__search-icon {
    width: 19px;
    @include max-767 {
      right: sp-sizing-2(20px);
      width: sp-sizing-2(34px);
    }
  }

  &__buttons {
    align-items: center;
    @include display-flex;
    @include max-767 {
      display: none;
    }
  }

  &__btn {
    padding: 0 37px 0 38px;
    color: $black;
    font-size: 1.6rem;
    @include max-767 {
      display: block;
      width: 100%;
      font-size: sp-sizing-2(2.8rem);
      text-align: start;
      background-color: #fff;
      padding: sp-sizing-2(26px) sp-padding(30px, 750px);
    }
  }

  &__row {
    justify-content: space-between;
    gap: 50px;
    @include display-flex;
    @include max-767 {
      gap: 0;
    }
  }

  &__row-column {
    gap: 7px;
    align-items: center;
    justify-content: flex-start;
    padding: 18px 0 18px 32px;
    @include display-flex;
    @include max-767 {
      display: flex;
      gap: sp-sizing-2(308px);
      padding: sp-sizing-2(10px) 0 sp-sizing-2(10px) sp-padding(20px, 750px);
    }

    &--right {
      align-items: center;
      @include display-flex;
    }
  }
}
